Skip to main content
Zapier Step

Input

NameDescriptionRequired
Source PDF URLProvide the URL to the source PDF document, or a filetoken:// link from PDF.co Built-In Files Storage. If you use another cloud service such as Google Drive or Dropbox ensure the link is publicly accessible.Yes
Text to Search and RemoveDefine the text to be searched for and removed within the PDF. A maximum of five search-and-delete operations are permitted per task.Yes
Enable Regular ExpressionsActivate this option to use regular expressions in your search. For example, [0-9]{3}-[0-9]{2}-[0-9]{4} can be used to locate SSN patterns.No
Case-Sensitive SearchToggle this option to make the search case-sensitive.No
PagesSpecify the pages to be searched. Enter a comma-separated list of page numbers or ranges. Note: The first page is numbered 0. For example: 0,1-5,7-.No
Custom ProfilesA JSON string which adds options for the conversion process. See Custom Profiles for more.No

Source PDF URL & Google

When using Google Drive, it’s typically recommended to choose the File option. For more advanced file integration techniques, see Integrating File Sources with pdf.co.
Google File

Output

NameDescription
urlThe temporary URL on the PDF.co file server.
outputLinkValidTillA timestamp which indicates how long the url will be available for.
errorDetails of any errors (if any).
statusThe response status code. If all good this will be 200.
nameThe name of the file.
jobIdThe unique identifier for the job.
creditsThe credits spent on the process.
remainingCreditsThe credits left on your account.
durationThe time it took for the process.

Custom profiles

Use Custom Profiles to enhance your workflow with additional processing options. Enter JSON configuration to customize OCR settings, output format, text extraction methods, and more.
Custom Profiles

Sample JSON

{ "ImageOptimizationFormat": "JPEG", "JPEGQuality": 25, "ResampleImages": true, "ResamplingResolution": 120, "GrayscaleImages": true }
You can use any regular API parameter from the API Reference within Zapier using the std_params feature in profiles. The std_params enables the definition of regular API parameters in a JSON format, See Standard Parameters for detailed documentation and examples.
ParameterTypeDefaultDescription
outputDataFormatstring-If you require your output as base64 format, set this to base64
removeTextUnderPatchbooleantrueControls whether to remove text under the patch or not
usepatchbooleanfalseControls whether to use a patch or not
patchColorstring#000000Controls the color of the patch
DataEncryptionAlgorithmstring-Controls the encryption algorithm used for data encryption. See User-Controlled Encryption for more information. The available algorithms are: AES128, AES192, AES256.
DataEncryptionKeystring-Controls the encryption key used for data encryption. See User-Controlled Encryption for more information.
DataEncryptionIVstring-Controls the encryption IV used for data encryption. See User-Controlled Encryption for more information.
DataDecryptionAlgorithmstring-Controls the decryption algorithm used for data decryption. See User-Controlled Encryption for more information. The available algorithms are: AES128, AES192, AES256.
DataDecryptionKeystring-Controls the decryption key used for data decryption. See User-Controlled Encryption for more information.
DataDecryptionIVstring-Controls the decryption IV used for data decryption. See User-Controlled Encryption for more information.